월별 가격 검색과 서버 페이지 조회
curl --request GET \
--url https://meterengine.com/v1/billable-metric-prices/search \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/billable-metric-prices/search';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"items": [
{
"archived_at": "2023-11-07T05:31:56Z",
"billable_metric_code": "<string>",
"billable_metric_name": "<string>",
"dimension_properties": [
"<string>"
],
"price_rates": [
{
"archived_at": "2023-11-07T05:31:56Z",
"archived_from": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_values": {},
"effective_from": "<string>",
"effective_until": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "per_unit",
"tiers": [
{
"unit_price": 1,
"up_to": 123
}
],
"unit_price": 123
}
],
"rate_count": 123
}
],
"page": 123,
"size": 123,
"summary": {},
"total": 123,
"total_unfiltered": 123
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}검색과 내보내기
월별 가격 검색과 서버 페이지 조회
month, customer_id, billable_metric_code, q, status(미터 보관 상태), sort(code/name/rate_count/archived_at), order, page, size를 받는다. 미터 이름과 단가 수, 조건 전체 no_rate_count를 포함한다. summary는 month, metric_count, no_rate_count다.
GET
/
v1
/
billable-metric-prices
/
search
월별 가격 검색과 서버 페이지 조회
curl --request GET \
--url https://meterengine.com/v1/billable-metric-prices/search \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/billable-metric-prices/search';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"items": [
{
"archived_at": "2023-11-07T05:31:56Z",
"billable_metric_code": "<string>",
"billable_metric_name": "<string>",
"dimension_properties": [
"<string>"
],
"price_rates": [
{
"archived_at": "2023-11-07T05:31:56Z",
"archived_from": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_values": {},
"effective_from": "<string>",
"effective_until": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "per_unit",
"tiers": [
{
"unit_price": 1,
"up_to": 123
}
],
"unit_price": 123
}
],
"rate_count": 123
}
],
"page": 123,
"size": 123,
"summary": {},
"total": 123,
"total_unfiltered": 123
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
쿼리 매개변수
Maximum string length:
2000Maximum string length:
2000사용 가능한 옵션:
asc, desc 필수 범위:
1 <= x <= 2147483647필수 범위:
1 <= x <= 200Maximum string length:
2000Pattern:
^[0-9]{4}-(0[1-9]|1[0-2])$예시:
"2026-08"
Maximum string length:
2000